<?php
header('Content-Type: text/html; charset=UTF-8');

require_once 'configuracion.php';
require_once '../util/funciones/Funciones.clase.php';

class Conexion{
    protected $dblink;
     
    
    public function __construct() {
        $this->abrirConexion();
        //echo "conexión abierta";
    }
    
    public function __destruct() {
        $this->dblink = NULL;
        //80578067	echo "Conexión cerrada";
    }
    
    protected function abrirConexion(){
        $servidor = "mysql:host=".SERVIDOR_BD.";port=".PUERTO_BD.";charset=utf8mb4;dbname=".NOMBRE_BD;
        $usuario = USUARIO_BD;
        $clave = CLAVE_BD;
        
        
        try {
            $this->dblink = new PDO($servidor, $usuario, $clave);
            $this->dblink->exec("SET NAMES 'utf8', lc_time_names='es_PE', time_zone = '-05:00';");
            $this->dblink->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $exc) {
           // Funciones::mensaje($exc->getMessage(), "e");
        }
        return $this->dblink;
    }
}

