<?php
require_once '../datos/Conexion.clase.php';

class Propietario extends Conexion {

    public function __construct() {
        parent::__construct();  // Asegúrate de que el constructor de la clase padre (Conexion) se ejecute
    }

    public function listarPropietarios() {
        try {
            $sql = "select 
                        id_propietario ,
                        numero_documento ,
                        razon_social ,
                        nombre_comercial
                    from Propietario p 
                    where estado = 1";

            // Asegúrate de que la conexión esté abierta
            if (!$this->dblink) {
                throw new Exception("No se pudo establecer la conexión a la base de datos.");
            }

            $sentencia = $this->dblink->prepare($sql);
            $sentencia->execute();
            $resultado = $sentencia->fetchAll(PDO::FETCH_ASSOC);
            return $resultado;
        } catch (Exception $e) {
            throw $e;
        }
    }
}
