<?php

class Funciones {
  

        public static function imprimeJSON($estado, $mensaje, $datos){
            //header("HTTP/1.1 ".$estado." ".$mensaje);
            header("HTTP/1.1 ".$estado);
            header('Content-Type: application/json');
            
            $response["estado"]	= $estado;
            $response["mensaje"]	= $mensaje;
            $response["datos"]	= $datos;
        
            echo json_encode($response);
        }

        public static function cargarArchivo($nombreArchivo, $ruta){
            try {
                if($nombreArchivo != ""){
                    move_uploaded_file($nombreArchivo, $ruta);
                }            
            } catch (Exception $e) {
                throw $e;
            }        
        }
    
        public static function eliminarArchivo($nombreArchivo){
            try {
                if (file_exists($nombreArchivo)) {
                    unlink($nombreArchivo);
                }     
            } catch (Exception $e) {
                throw $e;
            }        
        }
    
    
        public static function limpiarString($string){
            $string = trim($string);
    
            $string = str_replace(
                array('á', 'à', 'ä', 'â', 'ª', 'Á', 'À', 'Â', 'Ä'),
                array('a', 'a', 'a', 'a', 'a', 'A', 'A', 'A', 'A'),
                $string
            );
    
            $string = str_replace(
                array('é', 'è', 'ë', 'ê', 'É', 'È', 'Ê', 'Ë'),
                array('e', 'e', 'e', 'e', 'E', 'E', 'E', 'E'),
                $string
            );
    
            $string = str_replace(
                array('í', 'ì', 'ï', 'î', 'Í', 'Ì', 'Ï', 'Î'),
                array('i', 'i', 'i', 'i', 'I', 'I', 'I', 'I'),
                $string
            );
    
            $string = str_replace(
                array('ó', 'ò', 'ö', 'ô', 'Ó', 'Ò', 'Ö', 'Ô'),
                array('o', 'o', 'o', 'o', 'O', 'O', 'O', 'O'),
                $string
            );
    
            $string = str_replace(
                array('ú', 'ù', 'ü', 'û', 'Ú', 'Ù', 'Û', 'Ü'),
                array('u', 'u', 'u', 'u', 'U', 'U', 'U', 'U'),
                $string
            );
    
            $string = str_replace(
                array('ñ', 'Ñ', 'ç', 'Ç'),
                array('n', 'N', 'c', 'C',),
                $string
            );
    
            //Esta parte se encarga de eliminar cualquier caracter extraño
            $string = str_replace(
                array("\\", "¨", "º", "-", "~",
                     "#", "@", "|", "!", "\"",
                     "·", "$", "%", "&", "/",
                     "(", ")", "?", "'", "¡",
                     "¿", "[", "^", "`", "]",
                     "+", "}", "{", "¨", "´",
                     ">", "< ", ";", ",", ":",
                     ".", " "),
                '',
                $string
            );
            return $string;
        }

}
